package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.PlantCarbonSink;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 植物碳汇维表Mapper接口
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
@Mapper
public interface PlantCarbonSinkMapper
{
    /**
     * 查询植物碳汇维
     * 
     * @param id 植物碳汇维主键
     * @return 植物碳汇维
     */
    PlantCarbonSink selectById(Long id);

    /**
     * 查询植物碳汇维列表
     * 
     * @param param 植物碳汇维表
     * @return 植物碳汇维集合
     */
     List<PlantCarbonSink> selectList(PlantCarbonSink param);

    /**
     * 查询区域种植配置
     * @param areaCode 区域代码
     * @return 区域种植配置
     */
     List<PlantCarbonSink> selectAreaCfg(@Param("areaCode") String areaCode);

    /**
     * 删除区域种植配置
     * @param areaCode 区域代码
     * @return 区域种植配置
     */
     int deleteAreaCfg(@Param("areaCode") String areaCode);

    /**
     * 批量新增区域种植配置
     * @param list 区域种植配置
     * @return 批量新增结果
     */
     int addAreaCfgBatch(List<PlantCarbonSink> list);

    /**
     * 新增植物碳汇配置
     * 
     * @param param 植物碳汇维
     * @return 结果
     */
    int insert(PlantCarbonSink param);

    /**
     * 修改植物碳汇配置
     * 
     * @param param 植物碳汇维
     * @return 结果
     */
    int update(PlantCarbonSink param);

    /**
     * 删除植物碳汇维
     * 
     * @param id 植物碳汇维主键
     * @return 结果
     */
     int deleteById(Long id);
}
